Menu icon Foundation
Upgrading JS to 5.1.1

Hi,

I'm attempting to upgrade just the JS functionality of Foundation from the previous version to 5.1.1

I've literally just downloaded the javascript components plus foundation.js and overwritten the previous js folder. However, now nothing works at all. I get no error message or warning, all components just seem to fail ever being initialized. No other code has changed as I say.

Any help would be much appreciated

Thanks

js5.1.1

Hi,

I'm attempting to upgrade just the JS functionality of Foundation from the previous version to 5.1.1

I've literally just downloaded the javascript components plus foundation.js and overwritten the previous js folder. However, now nothing works at all. I get no error message or warning, all components just seem to fail ever being initialized. No other code has changed as I say.

Any help would be much appreciated

Thanks

Alex Limenko almost 6 years ago

Update css or scss files as well.
And it will be ok.

Chris Williams almost 6 years ago

Hi, is there any specific scss/css file that I should be looking at or that you know causes issue.
I use scss and only import certain components, I also have made a number of customisations to the scss files so don't really want to overwrite those.

Also when I said previous version I meant 5.1.0 not 4

Chrome reports the following error:

Syntax error, unrecognized expression: [data-'Times New Roman'-joyride]

this appears to be the same issue as here
http://foundation.zurb.com/forum/posts/2112-foundation-5100-syntax-error-in-js

Rafi Benkual almost 6 years ago

Hi, can you post what your script tags look like. I cannot replicate the error in 5.1.1 upgraded with the CLI.

Renan Aguiar over 5 years ago

Alex Limenko answer is right. I'm having this problem too. I was using the foundation 5.0.x (don't remember exactly which version, but certainly was an early 5). This morning I started to update my JS files to 5.2.1.

All my JS stopped working and no warning at all. After a few hours searching for a solution I decided to update the css files as well. Now it works.

Note: I'm working with foundation gem (compass).

Koen Poelhekke about 5 years ago

I had the same problem and fixed the javascript error by adding

html{
font-family: Arial;
}


No javascript errors anymore but interchange still doesn't work, but guess that's another problem.